Xchat cannot set transparent background

Asked by Striek on 2008-11-03

Hello,

I'm trying to set the background of the chat window (Xchat 2.6.4) to enable transparency. However, it returns an error "Cannot set transparent background. You may be using a non-compliant window manager that is not currently supported." Transparency elsewhere on the desktop works perfectly, xchat is the only application unable to set it. Is there something I have missed, or is this actually not supported under the current xchat release?

I am currently running Ibex 8.10 with kernel version 2.6.27-7-generic, with no kernel modifications.

Libraries xchat depends on:

striek@emmagan:~$ ldd /usr/bin/xchat
        linux-gate.so.1 => (0xb7f8a000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7f35000)
        libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb7ecd000)
        liblaunchpad-integration.so.1 => /usr/lib/liblaunchpad-integration.so.1 (0xb7ec7000)
        libsexy.so.2 => /usr/lib/libsexy.so.2 (0xb7eb8000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7b1a000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7a8e000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb7a72000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7a57000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb7a4c000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb7a3d000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb7a3a000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb7a30000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb7a29000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7a1f000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7a1a000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb79d7000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb7964000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb78ee000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb78d8000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb78aa000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7884000)
        libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0xb787f000)
        libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb7877000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb785e000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7854000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb7811000)
        libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb77eb000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb76fc000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb76f7000)
        libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb76f3000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb75b7000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb7599000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb7561000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb7523000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb751d000)
        librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb7514000)
        libssl.so.0.9.8 => /usr/lib/i686/cmov/libssl.so.0.9.8 (0xb74ce000)
        libcrypto.so.0.9.8 => /usr/lib/i686/cmov/libcrypto.so.0.9.8 (0xb7382000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb72cb000)
        libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb72b2000)
        libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7154000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb713a000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb7135000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb7132000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb712f000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7108000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7102000)
        /lib/ld-linux.so.2 (0xb7f70000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb70ff000)
        libnsl.so.1 => /lib/tls/i686/cmov/libnsl.so.1 (0xb70e6000)
        libpcre.so.3 => /lib/libpcre.so.3 (0xb70bc000)

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu xchat Edit question
Assignee:
No assignee Edit question
Solved by:
Bhavani Shankar
Solved:
2008-11-04
Last query:
2008-11-04
Last reply:
2008-11-04
Striek (striek) said : #1

Forgot to mention, using Kubuntu (kde version 4.1.2), not Ubuntu

Best Bhavani Shankar (bhavi) said : #2

reported a bug... So please co operate with the bugsquad and please close this question.

Striek (striek) said : #3

Thanks Bhavani Shankar, that solved my question.

kYuZz (samuele-a) said : #4

please fix this bug.